MPD: Data Fields

MPD 0.20.15

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - m -

- MakeChild() : Directory
- Manual() : Manual< T >
- manufacturer : UPnPDevice
- MapChildFS() : Storage
- MapFS() : CompositeStorage , Storage
- MapToRelativeUTF8() : CompositeStorage , Storage
- MapUTF8() : CompositeStorage , Storage
- MaskMonitor() : MaskMonitor
- Match() : DatabaseSelection , SongFilter::Item , SongFilter
- max() : LazyRandomEngine
- MAX : SampleTraits< SampleFormat::FLOAT > , SampleTraits< SampleFormat::S16 > , SampleTraits< SampleFormat::S24_P32 > , SampleTraits< SampleFormat::S32 > , SampleTraits< SampleFormat::S8 >
- max_length : Queue
- maxgain : CompressorConfig
- MemorySongEnumerator() : MemorySongEnumerator
- MemoryStorageDirectoryReader() : MemoryStorageDirectoryReader
- Merge() : Tag
- MergeReplace() : Tag
- messages : Client
- Meta() : IcyMetaDataParser
- method_pointer : BindMethodDetail::MethodWithSignature< T, R(Args...)>
- mime_types : DecoderPlugin , playlist_plugin
- min() : LazyRandomEngine
- MIN : SampleTraits< SampleFormat::FLOAT > , SampleTraits< SampleFormat::S16 > , SampleTraits< SampleFormat::S24_P32 > , SampleTraits< SampleFormat::S32 > , SampleTraits< SampleFormat::S8 >
- missing_preamp : ReplayGainConfig
- mix_ramp : DecoderControl
- mix_ratio : MusicChunk
- mixer : AudioOutput
- Mixer() : Mixer
- mixer_plugin : AudioOutputPlugin
- mixramp_db : CrossFadeSettings
- mixramp_delay : CrossFadeSettings
- MixRampInfo() : MixRampInfo
- Mode : FileOutputStream
- modelName : UPnPDevice
- Modify() : EPollFD , PollGroupEPoll , PollGroupPoll , PollGroupWinSelect
- ModifyAtOrder() : Queue
- ModifyAtPosition() : Queue
- ModifyFD() : EventLoop
- Mount() : CompositeStorage , SimpleDatabase
- mounted_database : Directory
- Move() : IdTable
- MoveBuffer() : ForeignFifoBuffer< T >
- MoveFrom() : ForeignFifoBuffer< T >
- MoveFront() : ConstBuffer< T >
- MoveId() : Partition , playlist
- MoveItemsFrom() : Tag
- MoveOrder() : Queue
- MoveOrderAfter() : Queue
- MoveOrderBefore() : Queue
- MovePostion() : Queue
- MoveRange() : Partition , playlist , Queue
- MoveTagFrom() : DetachedSong
- MoveTagItemsFrom() : DetachedSong
- MoveToEnd() : SocketSet
- mtime : Directory , LightDirectory , LightSong , PlaylistInfo , Song , StorageFileInfo
- MultipleOutputs() : MultipleOutputs
- MultiSocketMonitor() : MultiSocketMonitor
- MusicBuffer() : MusicBuffer
- MusicChunk() : MusicChunk
- MusicPipe() : MusicPipe
- mutex : AudioOutput , DecoderControl , HttpdOutput , InputStream , Mixer , notify , PlayerControl
- MyAvahiPoll() : MyAvahiPoll